Subject: Re: [TR] TR3 timing

From: "Randall" <[email-masked]>
Date: Tue, 3 May 2016 14:31:28 -0700

> What is the consensus for STROBE LIGHT timing for small mouth 
> TR3?  87mm pistons, headers, cam.
> 
> I really need to know . and I feel stupid that I don't 
> already know the answer.

I think the consensus is "don't do it".  The stock distributor has a centrifugal advance mechanism that starts way down low (below
idle rpm for most of us) and isn't very precise; so the preferred method is to use static timing to get it running, then take a
drive to make final adjustments.

But if you have to use a light, set it to about 8 BTDC, which is about 3/8" away from the hole in the front pulley (assuming it is
at TDC as it should be).

Randall

** [email-masked] **

Archive: http://www.team.net/archive